#2819 closed defect (fixed)

powerpc-ss555 does not compile on master

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: highest Milestone: 5.1
Component: arch/powerpc Version: 5
Severity: critical Keywords:
Cc: Blocked By:
Blocking:

Description

Recent changes broke this configuration:

gmake[6]: Entering directory `/data/home/joel/rtems-4.11-work/rtems-testing/rtems/build-powerpc-ss555-rtems/powerpc-rtems4.12/c/ss555/testsuites/samples/hello'
powerpc-rtems4.12-gcc -B../../../../../ss555/lib/ -specs bsp_specs -qrtems -DHAVE_CONFIG_H -I. -I../../../../../../../rtems/c/src/../../testsuites/samples/hello -I.. -mcpu=505 -Dmpc555 -O2 -g -fno-keep-inline-functions -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -MT init.o -MD -MP -MF .deps/init.Tpo -c -o init.o ../../../../../../../rtems/c/src/../../testsuites/samples/hello/init.c
In file included from ../../../../../ss555/lib/include/rtems/score/percpu.h:22:0,

from ../../../../../ss555/lib/include/rtems/confdefs.h:32,
from ../../../../../../../rtems/c/src/../../testsuites/samples/hello/init.c:51:

../../../../../ss555/lib/include/rtems/score/cpuimpl.h:196:3: error: conflicting types for 'CPU_Interrupt_frame'

} CPU_Interrupt_frame;


In file included from ../../../../../ss555/lib/include/bsp/irq.h:28:0,

from ../../../../../ss555/lib/include/bsp.h:31,
from ../../../../../../../rtems/c/src/../../testsuites/samples/hello/init.c:17:

../../../../../ss555/lib/include/libcpu/irq.h:193:3: note: previous declaration of 'CPU_Interrupt_frame' was here

} CPU_Interrupt_frame;


gmake[6]: * [init.o] Error 1
gmake[6]: Target `all' not remade because of errors.

Change History (4)

comment:1 Changed on Nov 21, 2016 at 10:20:30 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In f730c25b707c7d6836d0a9bc2453dd0ca3cfa4e0/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Oct 16, 2017 at 6:25:10 AM by Sebastian Huber

Component: unspecifiedarch/powerpc

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.